LIBPFM(3)

NAME
pfm_get_version - get library version

SYNOPSIS
#include <perfmon/pfmlib.h>

int pfm_get_version(void);

DESCRIPTION
This function can be called at any time to get the revision level of the library. It is not necessary to have invoked pfm_initialize() prior to calling this function. The revision number is composed of two fields: a major number and a minor number. Both can be extracted using macros provided in the header file:

PFMLIB_MAJ_VERSION(v)
    returns the major number encoded in v.

PFMLIB_MIN_VERSION(v)
    returns the minor number encoded in v.

RETURN
The function is always successful, i.e., it always returns the 32-bit version number.

ERRORS

AUTHOR
Stephane Eranian <eranian@gmail.com>